function o(t) {
  return t !== window ? t.getBoundingClientRect() : {
    top: 0,
    bottom: window.innerHeight
  };
}
function d(t, e, n) {
  if (n !== void 0 && e.top > t.top - n)
    return n + e.top;
}
function u(t, e, n) {
  if (n !== void 0 && e.bottom < t.bottom + n) {
    const i = window.innerHeight - e.bottom;
    return n + i;
  }
}
export {
  u as getFixedBottom,
  d as getFixedTop,
  o as getTargetRect
};
